Get
/v1/devices/oauth/authorization
Process OAuth authorization for device onboarding
Security
API Key: jwtAuth
Header parameter nameauthorization
Use Bearer <token>
Query parameters
relayState
stringRequired
Base64 encoded relay state containing OAuth parameters
ExampleeyJzY29wZSI6InR5cGU9enQtY3BlIHV1aWQ9ZGV2aWNlLXV1aWQtMTIzIGhvc3RuYW1lPWRldmljZS5leGFtcGxlLmNvbSIsInN0YXRlIjoic3RhdGUtMTIzNDUiLCJjb2RlX2NoYWxsZW5nZSI6ImNvZGUtY2hhbGxlbmdlLTEyMzQ1IiwiY29kZV9jaGFsbGVuZ2VfbWV0aG9kIjoiUzI1NiIsInB0IjoiaGFyZHdhcmUiLCJibSI6InAifQ==
Responses
200
Authorization code generated successfully
object
auth_code
string
OAuth authorization code
Exampleauth-code-12345
400
Bad request - Invalid relay state or parameters
401
Unauthorized - Invalid or missing token
500
Internal server error